import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { NpiProviderCountOutputTypeSelectObjectSchema as NpiProviderCountOutputTypeSelectObjectSchema } from './NpiProviderCountOutputTypeSelect.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => NpiProviderCountOutputTypeSelectObjectSchema).optional()
}).strict();
export const NpiProviderCountOutputTypeArgsObjectSchema = makeSchema();
export const NpiProviderCountOutputTypeArgsObjectZodSchema = makeSchema();
